List packages
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/packages \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/packages"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"active": true,
"clientReferenceId": "<string>",
"collateralAssets": [
{
"asset": {
"assetType": "<string>"
},
"weight": "<string>",
"price": "<string>",
"quantity": "<string>",
"weightedValue": "<string>"
}
],
"critical": {
"defaultNotice": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"packageId": "<string>",
"pledgorId": "<string>",
"securedPartyId": "<string>",
"acceleratedMarginCall": {
"curePeriod": "<string>",
"ltv": "<string>"
},
"currentLtv": "<string>",
"exposureValue": "<string>",
"ltvTimestamp": "<string>",
"marginCall": {
"curePeriod": "<string>",
"curePeriodProtection": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"marginReturn": {
"ltv": "<string>",
"returnToLtv": "<string>"
},
"packageValue": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List packages
Permissions required: Read vault activity
Get collateral packages.
GET
/
collateral_management
/
packages
List packages
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/packages \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/packages"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"active": true,
"clientReferenceId": "<string>",
"collateralAssets": [
{
"asset": {
"assetType": "<string>"
},
"weight": "<string>",
"price": "<string>",
"quantity": "<string>",
"weightedValue": "<string>"
}
],
"critical": {
"defaultNotice": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"packageId": "<string>",
"pledgorId": "<string>",
"securedPartyId": "<string>",
"acceleratedMarginCall": {
"curePeriod": "<string>",
"ltv": "<string>"
},
"currentLtv": "<string>",
"exposureValue": "<string>",
"ltvTimestamp": "<string>",
"marginCall": {
"curePeriod": "<string>",
"curePeriodProtection": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"marginReturn": {
"ltv": "<string>",
"returnToLtv": "<string>"
},
"packageValue": "<string>"
}
],
"page": {
"next": "<next page url>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?
⌘I